View Issue Details

IDProjectCategoryView StatusLast Update
09235Feature requests[All Projects] Pluginspublic2017-12-20 15:20
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynormalSeverityfeature 
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version2.x.x 
Summary09235: Copy (and export/import ?) survey plugin settings
DescriptionWe have survey plugin settings attached to survey. We can copy existing survey. But when we copy existing survey : we don't have actual survey settings : it's set to NULL/default.
It can be great to have plugin survey settings copied when copy survey. And surely when export (lss for starting) and import.
Additional InformationCan take it, but need to be sure if it's OK for whole plugin settings.
Tagsexport, import, plugin

Activities

LouisGac

LouisGac

2017-10-09 11:41

developer   ~44551

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=24008

Related Changesets

LimeSurvey: master cfbe5975

2017-10-09 11:41:46

ShnoulleT


Committer: LouisGac Details Diff
New feature 09235: Copy, export and import survey plugin settings (#816)

New feature 09235: Copy, export and import survey plugin settings
Dev: update the XML lss file
Dev: export using plugin name, not id
Dev: import with plugin name find id
Dev: must check with broken plugin
Dev: must review Plugin::model()->rules() a little
Dev: add rules to PluginSettings
mod - application/helpers/admin/import_helper.php Diff File
mod - application/helpers/export_helper.php Diff File
mod - application/models/PluginSetting.php Diff File
mod - application/views/admin/survey/importSurvey_view.php Diff File

Issue History

Date Modified Username Field Change
2014-09-18 09:33 DenisChenu New Issue
2014-09-18 09:33 DenisChenu Reproducibility have not tried => always
2014-09-18 09:34 DenisChenu Tag Attached: export
2014-09-18 09:34 DenisChenu Tag Attached: expo
2014-09-18 09:34 DenisChenu Tag Detached: expo
2014-09-18 09:34 DenisChenu Tag Attached: import
2014-09-18 09:34 DenisChenu Tag Attached: plugin
2017-09-27 13:27 DenisChenu Assigned To => DenisChenu
2017-09-27 13:27 DenisChenu Status new => assigned
2017-10-09 11:41 LouisGac Changeset attached => LimeSurvey master cfbe5975
2017-10-09 11:41 LouisGac Note Added: 44551
2017-10-09 11:41 LouisGac Assigned To DenisChenu => LouisGac
2017-10-09 11:41 LouisGac Resolution open => fixed
2017-12-20 15:19 DenisChenu Assigned To LouisGac => DenisChenu
2017-12-20 15:20 DenisChenu Status assigned => resolved
2017-12-20 15:20 DenisChenu Fixed in Version => 2.x.x